Subject: bug#507: compilation problem under Solaris

From: Glenn Morris <[email-masked]>
Date: Fri, 4 Jul 2008 15:48:02 -0400

Langella Raphael wrote (on Fri, 4 Jul 2008 at 10:40 +0200):

> > By far the easiest way for you to fix this is just to edit your
> > src and lib-src Makefile by hand.
> 
> That's exactly what I did even before reporting the bug. I just
> thought I should report this. And I didn't have to edit
> lib-src/Makefile, only src/Makefile.

I know. Thanks for taking the time to report it.

If you like, you could check that the configure patch, plus changing
files in src/ to use __sparc__ rather than sparc, works:

src/m/sparc.h:

/* Say this machine is a sparc */

#ifndef __sparc__
#define __sparc__
#endif

src/alloc.c, src/ecrt0.c, unexsunos4.c:

Change #ifdef sparc to #ifdef __sparc__